Launch Lead
curl --request POST \
--url https://api.lemlist.com/api/leads/review/{leadId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/leads/review/{leadId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/leads/review/{leadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/leads/review/{leadId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/leads/review/{leadId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"ok": true
}{
"error": "CAMPAIGN_LEAD_REVIEW_LEAD_ALREADY_LAUNCHED",
"message": "Lead is already launched"
}{
"error": "CAMPAIGN_LEAD_REVIEW_LEAD_NOT_FOUND",
"message": "Lead not found"
}Leads
Launch Lead
Manually launches (reviews) a single lead in its campaign.
POST
/
leads
/
review
/
{leadId}
Launch Lead
Use this endpoint to launch a lead that is waiting for review, without having
to enable campaign-wide auto-review.
You’re auto launching this specific lead, while still enforcing every other
launch guard: the campaign must have no step errors, any AI variables required
by the campaign must be valid for the lead, and a sender must be available.
No need to enable autolaunch in the campaign.
This endpoint requires an
emailPro plan or higher.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier of the lead to launch
Response
Lead launched successfully
Was this page helpful?